All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::opencl::kernels::ambm_config Struct Reference

Configuration struct for generating OpenCL kernels for linear combinations of matrices. More...

`#include <matrix.hpp>`

## Public Member Functions

| ambm_config ()

## Public Attributes

bool | with_stride_and_range
bool | is_row_major
std::string | assign_op
ambm_scalar_type | a
ambm_scalar_type | b

## Detailed Description

Configuration struct for generating OpenCL kernels for linear combinations of matrices.

Definition at line 52 of file matrix.hpp.

## Constructor & Destructor Documentation

viennacl::linalg::opencl::kernels::ambm_config::ambm_config | ( |  | ) |

inline

Definition at line 54 of file matrix.hpp.

## Member Data Documentation

ambm_scalar_type viennacl::linalg::opencl::kernels::ambm_config::a

Definition at line 59 of file matrix.hpp.

std::string viennacl::linalg::opencl::kernels::ambm_config::assign_op

Definition at line 58 of file matrix.hpp.

ambm_scalar_type viennacl::linalg::opencl::kernels::ambm_config::b

Definition at line 60 of file matrix.hpp.

bool viennacl::linalg::opencl::kernels::ambm_config::is_row_major

Definition at line 57 of file matrix.hpp.

bool viennacl::linalg::opencl::kernels::ambm_config::with_stride_and_range

Definition at line 56 of file matrix.hpp.

The documentation for this struct was generated from the following file:

- viennacl/linalg/opencl/kernels/matrix.hpp